%undefine __libtoolize
%define qtdir /usr/lib/qt3
%define rname alloy
%define beta a

Name: kde-styles-%rname
Version: 0.4.1
Release: alt2.%beta

Group: Graphical desktop/KDE
Summary: KDE Style
License: GPL
URL: http://www.varlock.com/projects/kalloy.html

Requires: kdelibs-gcc_compiled = %__gcc_version_base

Source: %rname-%version%beta.tar.bz2

# Automatically added by buildreq on Tue Sep 30 2003 (-bi)
#BuildRequires: XFree86-devel-static XFree86-libs boson fontconfig freetype2 gcc-c++ kde-settings kdebase-devel kdegames-libs kdelibs-devel libGLU libGLwrapper libart_lgpl-devel libarts-devel libaudio libexpat libjpeg-devel liblcms libmng libpng-devel libqt3-devel libstdc++-devel qt3-designer zlib-devel
BuildRequires: XFree86-devel-static XFree86-libs fontconfig freetype2 gcc-c++
BuildRequires: kde-settings kdebase-devel kdegames-libs kdelibs-devel libGLU libart_lgpl-devel
BuildRequires: libarts-devel libaudio libexpat libjpeg-devel liblcms libmng libpng-devel
BuildRequires: libqt3-devel libstdc++-devel qt3-designer zlib-devel
BuildRequires: kdelibs-gcc_compiled = %__gcc_version_base

%description
Alloy is a KDE Style for KDE 3.x

%prep
%setup -q -n %rname-%version%beta
[ -f Makefile.dist ] && make -f Makefile.dist

%build
export QTDIR=%qtdir
%configure \
	--enable-final \
	--disable-rpath \
	--enable-shared \
	--disable-static \
        --disable-debug \
	--program-transform-name=""

%make_build

%install
%make DESTDIR=%buildroot install
#mkdir -p %buildroot/%_libdir/kde3/plugins/styles/
#mv %buildroot/%_libdir/*.{so*,la} %buildroot/%_libdir/kde3/plugins/styles/

%files
%doc AUTHORS ChangeLog TODO
%_libdir/kde3/*.la
%_libdir/kde3/*.so*
%dir %_libdir/kde3/plugins/styles/
%_libdir/kde3/plugins/styles/*.la
%_libdir/kde3/plugins/styles/*.so*
#
%dir %_datadir/apps/kdisplay/color-schemes
%_datadir/apps/kdisplay/color-schemes/*.kcsrc
%dir %_datadir/apps/kstyle/themes
%_datadir/apps/kstyle/themes/*.themerc
%dir %_datadir/apps/kwin
%_datadir/apps/kwin/*.desktop

%changelog
* Tue Sep 30 2003 Sergey V Turchin <zerg at altlinux dot org> 0.4.1-alt2.a
- fix build requires

* Thu Aug 28 2003 Sergey V Turchin <zerg at altlinux dot org> 0.4.1-alt1.a
- new version

* Fri Apr 11 2003 Sergey V Turchin <zerg at altlinux dot ru> 0.1-alt2
- fix requires

* Fri Apr 11 2003 Sergey V Turchin <zerg at altlinux dot ru> 0.1-alt1
- initial spec
